[X86][AsmParser][MS-compatability] Binary/Unary operators enhancements
ClosedPublic

Authored by coby on Jun 4 2017, 2:05 AM.

Details

Summary

Introducing MOD binary operator
https://msdn.microsoft.com/en-us/library/hha180wt.aspx

Enhancing unary operators NEG and NOT, to support more complex patterns

Diff Detail

Repository
rL LLVM
coby created this revision.Jun 4 2017, 2:05 AM
coby added reviewers: rnk, myatsina.
coby added a subscriber: llvm-commits.
coby edited the summary of this revision. (Show Details)Jun 13 2017, 3:04 AM
coby added a reviewer: m_zuckerman.
coby edited reviewers, added: echristo; removed: rnk.Jun 26 2017, 6:18 AM

Reid is still the best reviewer for this.

rnk accepted this revision.Jun 26 2017, 5:17 PM

lgtm Sorry for the delay, I've been trying to prioritize writing PDBs in LLD to stay in the zone.

lib/Target/X86/AsmParser/X86AsmParser.cpp
542 ↗(On Diff #101350)

Thanks, this is a nice improvement!

This revision is now accepted and ready to land.Jun 26 2017, 5:17 PM
coby added a comment.Jun 27 2017, 6:17 AM
In D33876#791376, @rnk wrote:

lgtm Sorry for the delay, I've been trying to prioritize writing PDBs in LLD to stay in the zone.

np
thanks

This revision was automatically updated to reflect the committed changes.